<template>
	<transition name="fade-scale">
		<div class="modal is-active" v-show="show">
			<div class="modal-background" @click="close"></div>
			<div class="modal-content">
				<slot></slot>
			</div>
			<button class="modal-close" @click="close()"></button>
		</div>
	</transition>
</template>

<script>
	export default {
		props: ['show', 'onClose'],
		methods: {
			close: function() {
				this.onClose();
			}
		}
	}
</script>
